Bug 2063829 - During an IPI install with the 4.10.4 installer on vSphere, getting "Check": platform.vsphere.network: Invalid value: "VLAN_3912": unable to find network provided"
Summary: During an IPI install with the 4.10.4 installer on vSphere, getting "Check": ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.11.0
Assignee: Patrick Dillon
QA Contact: jima
URL:
Whiteboard:
Depends On:
Blocks: 2072135
TreeView+ depends on / blocked
 
Reported: 2022-03-14 13:31 UTC by Ravi Chaudhary
Modified: 2022-08-10 10:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the installer was specifying network resources to terraform by the relative path Consequence: when a network resource was nested in a folder, the terraform provider could not find the resource Fix: network resources are now specified by id Result: there is no ambiguity about the network resource and install succeed
Clone Of:
: 2072135 (view as bug list)
Environment:
Last Closed: 2022-08-10 10:54:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5673 0 None open Bug 1918005: vsphere: Use Managed Object ID for networks instead of potentially duplicate name. 2022-04-04 19:50:32 UTC
Red Hat Issue Tracker KCSOPP-481 0 None None None 2022-03-31 16:53:29 UTC
Red Hat Knowledge Base (Solution) 6859291 0 None None None 2022-04-01 12:05:40 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:54:21 UTC

Comment 7 jima 2022-04-12 03:26:00 UTC
Tested on QE local env where network is under nested folder.

$ govc ls /Datacenter/network/qetest
/Datacenter/network/qetest/VM Network

Reproduced the issue on 4.11.0-0.nightly-2022-04-01-172551
$ ./openshift-install version
./openshift-install 4.11.0-0.nightly-2022-04-01-172551
built from commit f8333b461d7a9dfd2a972d7a3b77d7f74b6d9b40
release image registry.ci.openshift.org/ocp/release@sha256:6d498a5829f1190815fe5edfc204b14a122ac7bb7358201d15feea0b93639bbf
release architecture amd64

$ ./openshift-install create cluster --dir ipi/
INFO Consuming Install Config from target directory 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to generate asset "Platform Provisioning Check": platform.vsphere.network: Invalid value: "VM Network": unable to find network provided 


Verified on 4.11.0-0.nightly-2022-04-11-200046 and passed
$ ./openshift-install version
./openshift-install 4.11.0-0.nightly-2022-04-11-200046
built from commit 496c1de207b3fd8ef838e832388df20781bd2efe
release image registry.ci.openshift.org/ocp/release@sha256:ceba0fc8d5882c5224c602527ca44caf89196b33601b3889670781e394bd66d8
release architecture amd64

$ ./openshift-install create cluster --dir ipi
INFO Consuming Install Config from target directory 
INFO Obtaining RHCOS image file from 'https://rhcos-redirector.apps.art.xq1c.p1.openshiftapps.com/art/storage/releases/rhcos-4.11/411.85.202203181601-0/x86_64/rhcos-411.85.202203181601-0-vmware.x86_64.ova?sha256=' 
INFO The file was found in cache: /home/jima/.cache/openshift-installer/image_cache/rhcos-411.85.202203181601-0-vmware.x86_64.ova. Reusing... 
INFO Creating infrastructure resources...         


Set invalid network name in install-config.yaml:
$ ./openshift-install create cluster --dir ipi1
INFO Consuming Master Machines from target directory 
INFO Consuming Common Manifests from target directory 
INFO Consuming Worker Machines from target directory 
INFO Consuming OpenShift Install (Manifests) from target directory 
INFO Consuming Openshift Manifests from target directory 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to generate asset "Platform Provisioning Check": platform.vsphere.network: Invalid value: "qe-network": unable to find network provided 

Set invalid or empty cluster
$ ./openshift-install create cluster --dir ipia/
INFO Consuming Install Config from target directory 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to generate asset "Platform Provisioning Check": platform.vsphere.network: Invalid value: "VM Network": could not find vSphere cluster at /Datacenter/host/qe/reliabilitya: cluster '/Datacenter/host/qe/reliabilitya' not found 

$ ./openshift-install create cluster --dir ipia/
INFO Consuming OpenShift Install (Manifests) from target directory 
INFO Consuming Common Manifests from target directory 
INFO Consuming Openshift Manifests from target directory 
INFO Consuming Worker Machines from target directory 
INFO Consuming Master Machines from target directory 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to generate asset "Platform Provisioning Check": platform.vsphere.network: Required value: must specify the network 


Based on above testing, move bug to "VERIFIED".

Comment 11 errata-xmlrpc 2022-08-10 10:54:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.